DataSource
Get all active Data Source the user has access to
Get Data Sources that a user has access to based on Data Source permissions and input filters
GET
/
api
/
datasource
/
v1
/
datasources
Get all active Data Source the user has access to
curl --request GET \
--url https://mycluster.domino.tech/api/datasource/v1/datasources \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/datasource/v1/datasources"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/datasource/v1/datasources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dataSources": [
{
"authType": "AzureBasic",
"config": {
"host": "example-host.com"
},
"credentialType": "Individual",
"dataSourceType": "ADLSConfig",
"displayName": "Azure Data Lake Store",
"id": "62604702b7e5d347dbe7a909",
"lastUpdated": "2022-04-23T18:25:43.511Z",
"name": "data-source-name",
"ownerId": "62604702b7e5d347dbe7a909",
"ownerUsername": "owner-username",
"permissions": {
"isEveryone": true,
"userAndOrganizationIds": [
"<string>"
]
},
"description": "My Data Source"
}
],
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>",
"limit": 123,
"offset": 123,
"totalCount": 123
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
nucleus_DominoApiKeynucleus_BearerAuthentication
Query Parameters
Names of the Data Sources to get
How many Data Sources from the start to skip, sorted by descending ID order. Defaults to 0
Maximum number of Data Sources to fetch. Defaults to 10
Last modified on August 18, 2026
Related topics
Get all active Gateway LLMs accessible by the userAdminister identity and access controlGet all Gen AI endpoints accessible by the userShare Data Sources securelyWas this page helpful?
⌘I
Get all active Data Source the user has access to
